Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | List of all members
agora::rtc::IDirectCdnStreamingEventHandler Class Reference

`#include <IAgoraRtcEngine.h>`

## Public Member Functions
virtual | ~IDirectCdnStreamingEventHandler ()
virtual void | onDirectCdnStreamingStateChanged (DIRECT_CDN_STREAMING_STATE state, DIRECT_CDN_STREAMING_REASON reason, const char *message)
virtual void | onDirectCdnStreamingStats (const DirectCdnStreamingStats &stats)

## Detailed Description

The event handler for direct cdn streaming

Deprecated
  v4.6.0.

## Constructor & Destructor Documentation

## ◆ ~IDirectCdnStreamingEventHandler()

virtual agora::rtc::IDirectCdnStreamingEventHandler::~IDirectCdnStreamingEventHandler | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ onDirectCdnStreamingStateChanged()

virtual void agora::rtc::IDirectCdnStreamingEventHandler::onDirectCdnStreamingStateChanged | ( | DIRECT_CDN_STREAMING_STATE | state,
|  | DIRECT_CDN_STREAMING_REASON | reason,
|  | const char * | message )
| inlinevirtual

Occurs when the CDN streaming state changes.

When the host directly pushes streams to the CDN, if the streaming state changes, the SDK triggers this callback to report the changed streaming state, error codes, and other information. You can troubleshoot issues by referring to this callback.

Parameters

  state | The current CDN streaming state. See `DIRECT_CDN_STREAMING_STATE`.
  reason | Reasons for changes in the status of CDN streaming. See `DIRECT_CDN_STREAMING_REASON`.
  message | The information about the changed streaming state.

## ◆ onDirectCdnStreamingStats()

virtual void agora::rtc::IDirectCdnStreamingEventHandler::onDirectCdnStreamingStats | ( | const DirectCdnStreamingStats & | stats | ) |
| inlinevirtual

Reports the CDN streaming statistics.

When the host directly pushes media streams to the CDN, the SDK triggers this callback every one second.

Parameters

  stats | The statistics of the current CDN streaming. See `DirectCdnStreamingStats`.